<?php

/*
** DGS Search
** search.php written by James M. Sella
** Copyright (c) 2000-2001 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com

* last changed 08/01/2007  , version: 2.5.02  by Fred Stuurman (fc.stuurman@hccnet.nl)
* $Id: search.php,v 1.2 2006/10/15 19:08:55 fstuurman Exp $
first load the jquery stuff for form validation.
*/
?>
<link rel="stylesheet" type="text/css" href="starnet/interface/css-form.css" />
<script>
//check if jquery is already loaded, if not load it
if(typeof jQuery == 'undefined') {
document.write('<script type="text/javascript" src="starnet/interface/jquery/jquery.js"></'+'script>');
var __noconflict = true;
}
</script>
<script src="starnet/interface/jquery/jquery.validate_nl.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("#theForm").validate({
	  errorLabelContainer: "#ErrorBox",
	  rules: {
		q: {
		  required: true,
		  rangelength: [4, 60]
		}
	}
  })
});
</script> 
<?php
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
//Fcs added for compatibilty with S@S	
if (IsSet ($_POST['q']))
{
	$q = sanitize($_POST['q'], 30 ,'S');
}
elseif (IsSet ($_GET['q']))
{
	$q = sanitize($_GET['q'], 30 ,'S');
}

if (IsSet ($_GET['r']))
{
	$r = intval($_GET['r']);
}
if (IsSet ($_GET['o']))
{
	$o = intval($_GET['o']);
}

load_language($cmsdir . '/', 'dgs_search'); //load language file


require ($cmsdir . "/modules/dgs_search/config/config.php");
require ($cmsdir . "/modules/dgs_search/libs/utils.php");
require ($cmsdir . "/modules/dgs_search/libs/search/db.php");
require ($cmsdir . "/modules/dgs_search/libs/display/query.php");
require ($cmsdir . "/modules/dgs_search/libs/display/nav.php");
require ($cmsdir . "/modules/dgs_search/libs/display/results.php");
require ($cmsdir . "/modules/dgs_search/libs/display/stats.php");

function search($q, $r, $o, $s, $timer)
{
	global $config ;

	$retVal = array ();
	$retVal = db ($retVal, $q, $r, $o, $s, $timer);	//do the actual search in the tables

	return $retVal;
}

function display($retVal, $q, $r, $o, $s, $timer)
{
	global $config, $lang, $sas_config ;

	print "<table class=\"sas_module_table\">
	       <tr><td>";

		query ($retVal, $q, $r, $o, $s, $timer) ;	//show the input query form
		stats ($retVal, $q, $r, $o, $s, $timer) ;	//display the stats for the results
		nav ($retVal, $q, $r, $o, $s, $timer) ;		//display navigation bar on top
		results ($retVal, $q, $r, $o, $s, $timer) ;	//display the result links
		nav ($retVal, $q, $r, $o, $s, $timer) ;		//display navigation bar		

	print "</td></tr></table>";
}

/* Start of Main */
$max = $sas_config['search_module_results'];

$data['r'] = $r;
$data['o'] = $o;
$data['s'] = $s;
$data['q'] = $q;

$timer = getTime();

	/* Clean up and localize passed values. */
	$r = (!isset ($data['r'])) ? (($max) ? $max : $max) : $data['r']; //Set default for results per page.	
	$r = ($r < 1) ? 65535 : $r;
	$o = (!isset ($data['o']) || $data['o'] < 1) ? 0 : $data['o']; //Set default for offset.
	$s = (!isset ($data['s']) || $data['s'] < 1) ? 0 : $data['s']; //Set result set to 0 if we don't have a cached one.
	$q = (isset ($data['q']) && $data['q'] != '') ? $data['q'] : '';

	/* Search for results. */
	if (trim($q) != "")
	{
		$retVal = search($q, $r, $o, $s, $timer);
	}

	/* Display our results. */
	display($retVal, $q, $r, $o, $s, $timer);

/* End of Main */
?>