<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Links module : 
* admin.php: last changed 26/07/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['link_id']))
{
	$link_id = sanitize($_GET['link_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_GET['page_id']))
{
	$page_id = sanitize($_GET['page_id'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "list_links";	//default choice
}

if (IsSet ($_POST['link_row_count']))
{
	$link_row_count = sanitize($_POST['link_row_count'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_POST['link_title']))
{
	$link_title = sanitize($_POST['link_title'], 60 , 'S'); //sanitize, 60 chars max
}
if (IsSet ($_POST['link_icon']))
{
	$link_icon = sanitize($_POST['link_icon'], 60 , 'S'); //sanitize, 60 chars max
}
if (IsSet ($_POST['link_url']))
{
	$link_url = sanitize($_POST['link_url'], 80 , 'S'); //sanitize, 80 chars max
}
if (IsSet ($_POST['link_sort']))
{
	$link_sort = sanitize($_POST['link_sort'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_POST['link_description']))
{
	$link_description = sanitize($_POST['link_description'], 500 , 'H'); //sanitize the input, leave some html tags in tact
}
if (IsSet ($_POST['page_id']))
{
	$page_id = sanitize($_POST['page_id'], 5 , 'I'); //sanitize, 5 pos max
}
if (IsSet ($_POST['link_category']))
{
	$link_category = sanitize($_POST['link_category'], 60 , 'S'); //sanitize, 60 chars max
}
if (IsSet ($_POST['owner_email']))
{
	$owner_email = sanitize($_POST['owner_email'], 80 , 'A'); //sanitize, 80 chars max
}
if (IsSet ($_POST['propose']))
{
	$propose = sanitize($_POST['propose'], 1, 'I'); //sanitize, integer 1 pos.
}
if (IsSet ($_POST['showlink']))
{
	$showlink = sanitize($_POST['showlink'], 1, 'I'); //sanitize, integer 1 pos.
}
if (IsSet ($_POST['initial']))
{
	$initial = sanitize($_POST['initial'], 1, 'I'); //sanitize, integer 1 pos.
}

if (IsSet ($_POST['welcometext']))
{
	$welcometext = sanitize($_POST['welcometext'], 500 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['propose_welcome']))
{
	$propose_welcome = sanitize($_POST['propose_welcome'], 500 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1 , 'I');
}

load_language('', 'sn_links'); //load language file

include ("interface/header.inc.php");
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\"
	}
		);
	});
	</script>";
	
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if(($modoption == "list_links") AND ($suboption != "proposed")) $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=list_links\">" . $sas_lang['links_module_links'] . "</a></li>\n";

$class = "";
if($suboption == "proposed") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=list_links&suboption=proposed\">" . $sas_lang['links_module_proposed'] . "</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$table_links = $dbprefix . "m_links";
$table_links_cat = $dbprefix . "m_links_cat";

switch ($modoption) // start of switch
{

	case delete_link:
	
		mysqli_query($db,"DELETE FROM $table_links WHERE id = '$link_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_links&page_id=$page_id'</script>";
		
	break;
	
	case delete_cat:
	
		mysqli_query($db,"DELETE FROM $table_links WHERE pagename = '$page_id'");
		mysqli_query($db,"DELETE FROM $table_links_cat WHERE id = '$page_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_links'</script>";
		
	break;
	
	case save_page_link :
	
		if ($link_id == 0)	//when $link_id is 0 we have a new link page
		{
			$query = "SELECT id FROM $table_links_cat WHERE pagename = '".$link_category."'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysqli_num_rows($result);
			if ($RecordCount > 0)
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"".$sas_lang['links_module_name_exists']."\");
					   //-->
					   </script>";
			}
			mysqli_query($db,"INSERT INTO $table_links_cat (id, pagename, owner_email, row_count, welcome, icon, propose, propose_welcome, showlink, public)
				VALUES (NULL, '$link_category', '$owner_email', '$link_row_count', '$welcometext', '$link_icon', '$propose', '$propose_welcome', '$showlink', '$public')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_links_cat 
								SET pagename='$link_category' ,
								owner_email='$owner_email' ,
								welcome='$welcometext' ,
								row_count='$link_row_count' ,
								icon='$link_icon',
								propose='$propose',
								propose_welcome='$propose_welcome',
								showlink = '$showlink',
								public = '$public'
								WHERE id = '$link_id'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_links'</script>";
	
	break;
	
	case save_link :
		
		if ($link_id == 0)	//when link_id is 0 we have a new link
		{
			mysqli_query($db,"INSERT INTO $table_links (id, title, url, description, sort, pagename, category)
				VALUES (NULL, '$link_title', '$link_url', '$link_description', '$link_sort', '$page_id', '$link_category')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_links 
								SET url = '$link_url' ,
								title = '$link_title' ,
								description = '$link_description' ,
								pagename = '$page_id' ,
								sort = '$link_sort',
								category = '$link_category',
								initial = '$initial'
								WHERE id='$link_id'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_links&suboption=$suboption&page_id=$page_id'</script>";
	
	break;
	
	case list_links :
		
		print "<span class=\"sas_module_title\">$modulename</span>
				<br />" . $sas_lang['links_module_intro'] . "<p> ";
		
		if ($suboption == "proposed")
		{
			print "<p><span class=\"sas_module_subtitle\">" . $sas_lang['links_module_proposed'] . "</span>";
		}
		
		$query = "SELECT id, pagename, welcome, row_count, owner_email, icon, public FROM $table_links_cat";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$Recordcount = mysqli_num_rows($result); //number oflinks categories
		if ($Recordcount > 0)
		{
			print "<table border=\"0\">";
		
			while ($page_list = mysqli_fetch_array($result)) //loop through pagenames
			{
				if ($suboption == "proposed")
				{
					$query2 = "SELECT category FROM $table_links WHERE pagename = '$page_list[0]' AND initial = 0 GROUP BY category";
					$query3 = "SELECT category FROM $table_links WHERE pagename = '$page_list[0]' AND initial = 0 ";
				}
				else
				{
					$query2 = "SELECT category FROM $table_links WHERE pagename = '$page_list[0]' AND initial = 1 GROUP BY category";
					$query3 = "SELECT category FROM $table_links WHERE pagename = '$page_list[0]' AND initial = 1 ";
				}
				$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
				$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 
				$Recordcount1 = mysqli_num_rows($result3); //number of links
				
				$public = "" ;
				if ($page_list[6] == 1)
				{
					$public = "(*)";
				}
				
				print "	<tr><td colspan=\"3\">&nbsp;</td></tr>
						<tr><td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"if(confirm('$sas_lang[links_module_cat_delete_confirm]'))
						parent.location='index.php?option=modulemanager&module=$module&modoption=delete_cat&suboption=$suboption&page_id=$page_list[0]';\">
						<img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
						onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_page_link&link_id=$page_list[0]'\">
						<td colspan=\"2\"><a href=index.php?option=modulemanager&module=$module&modoption=$modoption&suboption=$suboption&page_id=$page_list[0]>" . $page_list[1] . "</a></span> <span class=\"sas_module_lbl1\"> ($Recordcount1)</span> $public</td></tr>";

				if ($page_list[0] == $page_id)
				{
					if ($Recordcount1 == 0)
					{
						print "<tr><td>&nbsp;</td><td>" . $sas_lang['links_module_no_links'] . "</span></td></tr>";
					}
					while ($cat_list = mysqli_fetch_array($result2))
					{
						$cat = addslashes($cat_list[0]);
						
						print "<tr><td>&nbsp;</td><td colspan=\"2\"><b><i>$cat_list[0]</i></b></span></td></tr>";
						
						if ($suboption == "proposed")
						{
							$query3 = "SELECT id, title, url, description, pagename, sort FROM $table_links WHERE pagename = '$page_id' AND initial = '0' AND category = '$cat' ORDER BY sort";
						}
						else
						{
							$query3 = "SELECT id, title, url, description, pagename, sort FROM $table_links WHERE pagename = '$page_id' AND initial = '1' AND category = '$cat' ORDER BY sort";
						}
						$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING); 
		
						while ($links_list = mysqli_fetch_array($result3))
						{
							print "<tr><td colspan=\"2\">&nbsp;</td>
								  <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
								  onClick=\"if(confirm('$sas_lang[links_module_delete_confirm]'))
								  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_link&page_id=$page_id&link_id=$links_list[0]';\">
								  <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\"  
								  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_link&link_id=$links_list[0]'\">
								  &nbsp;<span class=link><a href=\"index.php?option=modulemanager&module=$module&modoption=edit_link&page_id=$page_list[0]&link_id=$links_list[0]\">$links_list[1]</a> ($links_list[5])</span></td>
								  </tr>";
		
						}
					}
				}
			}
		}
		else
		{
			print "<p>" . $sas_lang['links_module_addcategory_please'] . "<p>";
		}
		print "</table><p><br /><span class=\"sas_module_lbl2\">(*) " . $sas_lang['links_module_is_public'] . "</span><p><p><img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&modoption=add_page_link\">" . $sas_lang['links_module_add_page_link'] . "</a></span>
			   &nbsp;&nbsp;<img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&page_id=$page_id&modoption=add_link\">" . $sas_lang['links_module_add'] . "</a></span><p>";
		print "<button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;

	case add_link :
	
		// call basic ckeditor for welcome text
		print "<span class=\"sas_module_title\">$modulename</span><br><br>";
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['links_module_add'] . "</span>";
		print "\n<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_link&page_id=$page_id&link_id=0\">";
		print "<div id=\"ErrorBox\"></div>";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_category'] . ": &nbsp;</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=50 class=\"textfield\" name=\"link_category\"></td></tr>";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_title'] . " (*)</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"required\" name=\"link_title\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_url'] . " (*)</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"required url\" name=\"link_url\" value=\"http://\"></td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['links_module_description'] . "&nbsp;</span></td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic fck editor for propose welcome text
		small_editor('link_description', "", 'editor1');
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_order'] . "&nbsp;</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=4 class=\"textfield\" name=\"link_sort\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_pagename'] . " &nbsp;</span></td>
               <td class=\"sas_row_color_even\"><select size=\"1\" class=text name=\"page_id\">";
	
		$query2 = "SELECT id, pagename FROM $table_links_cat";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		 
			while ($category_list = mysqli_fetch_array($result2))
			{
				print "<option value=\"$category_list[0]\">$category_list[1]</option>\n";
			}
			
		print "</select></TD></tr></table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
		
	break;

	case edit_link :
	
		$query = "SELECT id, title, url, description, sort, pagename, category, initial FROM $table_links WHERE id = '".$link_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$link_list = mysqli_fetch_array($result);
		
		// call basic ckeditor for welcome text
		print "<span class=\"sas_module_title\">$modulename</span><br><br>";
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['links_module_edit'] . "</span>";
		print "<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_link&suboption=$suboption&page_id=$page_id&link_id=$link_id\"> ";
  
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_category'] . ": &nbsp;</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\2 class=\"textfield\" name=\"link_category\" value=\"$link_list[6]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_title'] . " &nbsp;</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"textfield\" name=\"link_title\" value=\"$link_list[1]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_url'] . "&nbsp;</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"textfield\" name=\"link_url\" value=\"$link_list[2]\"></td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['links_module_description'] . "&nbsp;</span></td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
			// call basic fck editor for propose welcome text
		small_editor('link_description', $link_list[3], 'editor1');
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_order'] . "&nbsp;</span></td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"link_sort\" value=\"$link_list[4]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_pagename'] . " &nbsp;</span></td>
				<td class=\"sas_row_color_even\"><select size=\"1\" class=\"text\" name=\"page_id\">";
	
		$query2 = "SELECT id, pagename FROM $table_links_cat";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		
		while ($category_list = mysqli_fetch_array($result2))
		{
			if ($category_list[0] == $link_list[5])
			{
				print "<option selected value=\"$category_list[0]\">$category_list[1]</option>\n";
			}
			else
			{
				print "<option value=\"$category_list[0]\">$category_list[1]</option>\n";
			}
		}
		print "</select></TD></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_publish_propose_link'] . "&nbsp;</span></td>
                   <td class=\"sas_row_color_even\">&nbsp;" . $sas_lang['yes'] . "</span>";
		if ($link_list[7] == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"initial\" checked>";
			print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"initial\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"initial\">";
			print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
			print "<input type=\"radio\" name=\"initial\" value=\"0\" checked>";
		}
		print "</td></tr></table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
	
	break;

	case edit_page_link :
		
		$query = "SELECT pagename, owner_email, welcome, row_count, icon, propose, propose_welcome, showlink, public 
					FROM $table_links_cat WHERE id = '".$link_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$cat_list = mysqli_fetch_array($result);
		print "<span class=\"sas_module_title\">$modulename </span><p>";
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['links_module_edit_page_link'] . "</span>";
		print "<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_page_link&link_id=$link_id\" 
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_pagename'] . "&nbsp;</td>
                <td class=\"sas_row_color_even\"><input type=\"text\" size=\"30\" class=\"textfield\" name=\"link_category\" value=\"$cat_list[0]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_owner_email'] . ":&nbsp;</td>
  				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"60\" class=\"textfield\" name=\"owner_email\" value=\"$cat_list[1]\"></td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['links_module_welcome_text'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic ckeditor for welcome text
		small_editor('welcometext', $cat_list[2], 'editor1');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_max_items'] . ":&nbsp;</td>
  				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"4\" class=\"textfield\" name=\"link_row_count\" value=\"$cat_list[3]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_icon'] . " &nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"textfield\" name=\"link_icon\" value=\"$cat_list[4]\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_propose'] . "</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		if ($cat_list[5] == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"propose\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"propose\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"propose\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"propose\" value=\"0\" checked>";
		}

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_showlink'] . "</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		if ($cat_list[7] == "1")
		{
			print "<input type=\"radio\" value=\"1\" name=\"showlink\" checked>";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"showlink\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"showlink\">";
			print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
			print "<input type=\"radio\" name=\"showlink\" value=\"0\" checked>";
		}

		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['links_module_is_public'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'];
		
		if ($cat_list[8] == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\">";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
			print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\" checked>";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
			print "<input type=\"radio\" name=\"public\" value=\"0\">";
		}

		print "</td></tr>" ;

		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['links_module_propose_welcome_text'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic fck editor for welcome text
		small_editor('propose_welcome', $cat_list[6], 'editor2');
		
		print "</td></tr></table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case add_page_link :
		
		print "<span class=\"sas_module_title\">$modulename</span><p>";
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['links_module_add_page_link'] . "</span>";
		print "<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_page_link&link_id=0\">";
		 print "<div id=\"ErrorBox\"></div>";
      
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_pagename'] . " (*)</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\30\" class=\"required\" name=\"link_category\"></td></tr>";

		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_owner_email'] . ":&nbsp;</td>
		        <td class=\"sas_row_color_even\"><input type=\"text\" size=60 class=\"textfield\" name=\"owner_email\"></td></tr>";

		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['links_module_welcome_text'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic ckeditor for welcome text
		small_editor('welcometext', "", 'editor1');
		print "</td></tr>";
  
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_max_items'] . ":&nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=4 class=\"textfield\" name=\"link_row_count\" value=\"1\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_icon'] . " &nbsp;</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=50 class=\"textfield\" name=\"link_icon\" value=\"starnet/modules/sn_links/link.gif\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_propose'] . "</td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
	
		print "<input type=\"radio\" value=\"1\" name=\"propose\">";
		print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'];
		print "<input type=\"radio\" name=\"propose\" value=\"0\" checked>";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['links_module_showlink'] . "</span></td>
				<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
	
		print "<input type=\"radio\" value=\"1\" name=\"showlink\">";
		print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"showlink\" value=\"0\" checked>";

		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['links_module_is_public'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'];
		print "<input type=\"radio\" name=\"public\" value=\"1\">";
		print "<span class=text>&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
		print "<input type=\"radio\" value=\"0\" name=\"public\" checked>";

		print "</td></tr>" ;
	
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['links_module_propose_welcome_text'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
    
		// call basic fck editor for propose welcome text
		small_editor('propose_welcome', "", 'editor2');
		print "</td></tr></table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

} //end switch


include ("interface/footer.inc.php");
?>
