<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.8.00  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Portal module : 
* sn_studentpages_portal.php: last changed 21/05/2009 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

//if we are on protected area we skip the pupil pages.
if ($public == 0)
{
//pupil pages: has to have content and not invisible.	
	$query3 = "SELECT s.studentid, date_format(s.change_date, '$sas_config[dateformat]') AS Readable_Date, s.title, s.dir_number, u.name, u.class FROM $table_studentpages s
				LEFT JOIN $table_users u ON s.dir_number = u.id WHERE invisible = 0 AND content != '' 
				AND NOT EXISTS (SELECT id FROM $table_classes c WHERE u.name = c.name) ORDER BY s.change_date DESC LIMIT 0,$items";	
	$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
	$RecordCount = mysqli_num_rows($result3);

	if ($RecordCount > 0)
	{
		print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
				<tr><td colspan=\"4\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n
				<tr><td colspan=\"4\"><span class=\"sas_module_subtitle\">".$sas_lang['student_pages']."</span></td</tr>
				<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
				<td><span class=\"sas_module_lbl1\">".$sas_lang['student'].":</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_title']."</span></td></tr>\n";
		$table_header_done = TRUE;
		
		while ($studentpages_list = mysqli_fetch_array($result3))
		{	
			//get page and section id's for the student page
			$query6 = "SELECT id, section FROM $table_pages WHERE (module = 'sn_studentpages/viewpage.php' OR module = 'sn_studentpages/viewpage2.php') AND hidden != 'yes'";
			$result6 = mysqli_query($db,$query6) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query6 . '".',E_USER_WARNING);
			$RecordCount = mysqli_num_rows($result6);
			
			if ($RecordCount > 0)
			{
				$page = mysqli_result($result6, 0, 0);
				$section = mysqli_result($result6, 0, 1);
				if (strpos($studentpages_list[5], ",")) //if we have a comma, we only need the first class
				{
					$class_id = substr($studentpages_list[5], 0, strpos($studentpages_list[5], ","));
				}
				else
				{
					$class_id = $studentpages_list[5] ;
				}
				$link = "index.php?page=$page&amp;section=$section&amp;class_id=$class_id&amp;page_id=$studentpages_list[0]";
				$title = substr($studentpages_list[2],0,45) ;
				
				print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$studentpages_list[1]</span></td>
						<td valign=\"top\"><span class=\"sas_module_text\">$studentpages_list[4]</span>
						<td>&nbsp;</td>
						<td><span class=\"sas_module_text\">$title, </span><span class=\"sas_module_link\">
						<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
						</tr>\n";
			}
		}
	}
}
//projects: has to have content and not invisible.
$query3 = "SELECT s.studentid, date_format(s.change_date, '$sas_config[dateformat]') AS Readable_Date, s.title, s.dir_number, c.name, p.id, p.section, c.id 
			FROM $table_studentpages s 
			LEFT JOIN $table_classes c ON s.dir_number = c.dir_number  
			LEFT JOIN $table_pages p ON c.name = p.name
			WHERE c.project = 1 AND s.invisible = 0 AND s.content != '' AND p.module = 'sn_studentpages/viewproject.php' AND hidden != 'yes'
			ORDER BY s.change_date DESC LIMIT 0,$items";
			
$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
$RecordCount = mysqli_num_rows($result3);
if ($RecordCount > 0)
{
	
	if($table_header_done != TRUE)
	{	
		print "\n<table cellpadding=\"0\" cellspacing=\"2\">\n
				<tr><td colspan=\"4\"><span class=\"sas_module_subtitle\">" . $description . "</span></td></tr>\n";
		$table_header_done = TRUE ;
	}

	print "<tr><td colspan=\"4\">&nbsp;</td></tr>
			<tr><td colspan=\"4\"><span class=\"sas_module_subtitle\">".$sas_lang['student_project_page_names']."</span></td></tr>";
	print "<tr><td width=\"100\"><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_date']."</span></td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['student_project'].":</span></td>
			<td>&nbsp;</td>
			<td><span class=\"sas_module_lbl1\">".$sas_lang['portal_module_title']."</span></td></tr>\n";

	
	while ($project_list = mysqli_fetch_array($result3))
	{	
		$link = "index.php?page=$project_list[5]&amp;section=$project_list[6]&amp;class_id=$project_list[7]&amp;page_id=$project_list[0]";
		$title = substr(strip_tags($project_list[2]),0,45) ;
		
		print "<tr><td valign=\"top\"><span class=\"sas_module_text\">$project_list[1]</span></td>
				<td valign=\"top\"><span class=\"sas_module_text\">$project_list[4]</span></td>
				<td>&nbsp;</td>
				<td><span class=\"sas_module_text\">$title, </span><span class=\"sas_module_link\">
				<a href=\"$link\" target=\"$target\">".$sas_lang['portal_module_read_more']."</a></span></td>
				</tr>\n";
	}
}
if($table_header_done == TRUE)
{
	print "</table>\n";
}
?>